﻿using System.Windows;

using TestProject.NorthwindDataSetTableAdapters;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// Sales Person 데이터 테이블
        /// </summary>
        private NorthwindDataSet.SalesPersonDataTable salesPersonDataTable = new NorthwindDataSet.SalesPersonDataTable();

        /// <summary>
        /// Sales Person 테이블 어밷터
        /// </summary>
        private SalesPersonTableAdapter salesPersonTableAdapter = new SalesPersonTableAdapter();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.pivotGridControl.DataSource = this.salesPersonDataTable;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.salesPersonTableAdapter.Fill(this.salesPersonDataTable);
        }

        #endregion
    }
}